<?php
/**
 * An exception thrown when compressors are mismatching
 *
 * @author		Roland Haeder <webmaster@mxchange.org>
 * @version		0.0.0
 * @copyright	Copyright(c) 2007, 2008 Roland Haeder, this is free software
 * @license		GNU GPL 3.0 or any newer version
 * @link 		http://www.ship-simu.org
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
class MismatchingCompressorsException extends FrameworkException {
	/**
	 * The constructor
	 *
	 * @param	$array	Message from the exception
	 * @param	$code	Code number for the exception
	 * @return	void
	 */
	public function __construct (array $array, $code) {
		// Add a message around the missing class
		$message = sprintf("[%s:%d] Der Kompressor <u>%s</u> zu den geladenen Daten aus <u>%s</u> und der aktuell verwendete Kompressor <u>%s</u> stimmen nicht &uuml;berein!",
			$array[0]->__toString(),
			$this->getLine(),
			strtoupper($array[1]),
			sprintf("%s:%s",
				basename(dirname($array[2])),
				basename($array[2])
			),
			strtoupper($array[3])
		);

		// Call parent constructor
		parent::__construct($message, $code);
	}
}

// [EOF]
?>
